Class UmlShallowHistoryPseudoState

Declaration :

- C++ : class UmlShallowHistoryPseudoState : public UmlBaseShallowHistoryPseudoState
- Java : class UmlShallowHistoryPseudoState extends UmlBaseShallowHistoryPseudoState

Artifact : UmlShallowHistoryPseudoState

Operation UmlShallowHistoryPseudoState

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlShallowHistoryPseudoState(in id : item_id) :
- C++ : public: UmlShallowHistoryPseudoState(void * id) : UmlBaseShallowHistoryPseudoState(id, "")
- Java : public UmlShallowHistoryPseudoState(long id)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload